Loading...
Searching...
No Matches
xccdf_instance_iterator Struct Reference
XCCDF

Instance iterator. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

Iterators
OSCAP_API struct xccdf_instance * | xccdf_instance_iterator_next (struct xccdf_instance_iterator *it)
| Return the next xccdf_instance structure from the list and increment the iterator.
OSCAP_API bool | xccdf_instance_iterator_has_more (struct xccdf_instance_iterator *it)
| Return true if the list is not empty, false otherwise.
OSCAP_API void | xccdf_instance_iterator_free (struct xccdf_instance_iterator *it)
| Free the iterator structure (it makes no changes to the list structure).
OSCAP_API void | xccdf_instance_iterator_reset (struct xccdf_instance_iterator *it)
| Reset the iterator structure (it makes no changes to the list structure).
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API void | xccdf_instance_iterator_remove (struct xccdf_instance_iterator *it)

## Detailed Description

Instance iterator.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h